Revoke plugin OAuth credentials
POST
/api/v1/plugin-system/oauth/revoke
const url = 'https://example.com/api/v1/plugin-system/oauth/revoke';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"instanceId":"example","authContext":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/v1/plugin-system/oauth/revoke \ --header 'Content-Type: application/json' \ --data '{ "instanceId": "example", "authContext": "example" }'Revokes OAuth credentials stored for a plugin instance.
Request Body required
Section titled “Request Body required ” Media type application/json
object
instanceId
required
string
authContext
string
Example generated
{ "instanceId": "example", "authContext": "example"}Responses
Section titled “ Responses ”OAuth credentials revoked
Media type application/json
object
ok
boolean
Example generated
{ "ok": true}Bad Request
Unauthorized
Internal Server Error